Copyright: ® Tay Yong Siang


Help Contents
Contents

Copyrights on Creative TextAssist's Embedded Command  Help

Introduction to TextAssist Embedded Command

Create a pause

Change the Pause of Comma Punctuation

Change the Speech Parameter

Change in Math Mode

Change the Pause of Period Punctuation

Turn on/off the Phoneme Interpretation

Change the Punctuation Mode

Change the Speech Rate

Change the Speech Mode

Change the Active Voice Name

Change the Volume by Absolute Value

Change the Volume by a Relative Value

Controlling Prosody and Creating Singing Text

Phoneme Symbols

Musical Tones

Appendix A : Vowels

Appendix B : Consonants

Appendix C : Stress Symbols

Example : Singing Text


Copyrights on Creative TextAssist's Embedded Command  Help

Information in this document is subject to change without notice and does not represent a commitment on the part of Creative Technology Ltd.

It is against the law to copy the software on any medium.  No part of this document may be reproduced or transmitted in any form or by any means, electronic or mechanical, including photocopying and recording for any purpose without the express written permission of Creative Technology Ltd.

The information provided is for informational purposes only.  Creative Technology Ltd.  makes no warranties, expressed or implied, in this document.

Copyright  1994 by Creative Technology Ltd.  All Rights Reserved.


Introduction to TextAssist Embedded Command

Embedded commands offer a powerful and flexible means of controlling speech playback at the user level. By embedding commands directly into text, users can replicate much of the functionality of the TextAssist API without any programming. Following are some of the situations in which embedded commands might be effectively used:

1.	To simulate a conversation between two characters, embedded commands can be used to change voices and alter other speech characteristics. As the conversation lags or becomes more heated, embedded pitch and rate commands can be used to relax or intensify the conversation.

2. 	Singing text can be created by  modifying the rate and pitch information associated with each phoneme.

3.  Inflection and emotion can be added to spoken text by modifying the rate and pitch information associated with each phoneme.


Create a pause

Command :  	[_<pause time>]

Parameters :	Length of pause in milliseconds

Default :	N/A

Examples :	[_<500>]

Description :	Create a pause of length specified in the pause time parameter


Change the Pause of Comma Punctuation

Command :  	[:comma parameter]

Parameters :	Pause time in milliseconds

Default :	160 ms.

Examples :	[:comma 250]

Description :	Specifies the length of the pause for the punctuation ", ", ":" , and ";".Create a pause of length specified in the pause time parameter


Change the Speech Parameter

Command :  	[:dv parameter1 parameter2]

Parameters :	Parameter1 - 	name of the voice parameter to be changed. Refer to the parameters in the following table for a list of voice parameters.

Parameter2 - 	value of the voice parameter to be modified.

Default :	N/A

Examples :	[:dv ap120] - set the average pitch to 120 Hz

Description :	The following is a list of voice parameters and associated ranges which can be changed using embedded commands:

Name	Range	Unit	Description
sx	0	1		Set sex to female(0) or male(1)
hs	65	145	%	Head size
f4	2000	4650	Hz	Fourth formant frequency
f5	2500	4950	Hz	Fifth formant frequency
b4	100	2048	Hz	Fourth formant bandwidth
b5	100	2048	Hz	Fifth formant bandwidth
br	0	72	dB	Breathiness
lx	0	100	%	Lax breathiness
sm	0	100	%	Smoothness
ri	0	100	%	Richness
nf	0	100		Number of fixed samplings of glottal pulse
la	0	100	%	Laryngealization
bf	0	40	Hz	Baseline fall
hr	2	100	Hz	Hat rise
sr	1	100	Hz	Stress rise
as	0	100	%	Assertiveness
qu	0	100	%	Quickness
ap	50	350	Hz	Average pitch
pr	0	250	%	Pitch range
gv	0	86	dB	Gain of voice source
gh	0	86	dB	Gain of aspiration source
gf	0	86	dB	Gain of frication source
gn	0	86	dB	Gain of nasalization
g1	0	86	dB	Gain of first formant resonator
g2	0	86	dB	Gain of second formant resonator
g3	0	86	dB	Gain of third formant resonator
g4	0	86	dB	Gain of fourth formant resonator
g5	0	86	dB	Gain of fifth formant resonator


Change in Math Mode

Command :  	[:mode math parameter]

Parameters :	on or off

Default :	Off

Examples :	[:mode math on]

Description :	Depending on the status of the math mode parameter, the following pronunciations will be used:

Character	math mode on	math mode off
+	plus	plus
-	minus	dash
*	multiplied by	asterisk
/	divided by	slash
^	to the power of	carat
<	less than	left angle bracket
>	greater than	right angle bracket
=	equal	equal
%	percent	percent
.	point	period


Change the Pause of Period Punctuation

Command :  	[:period parameter]

Parameters :	Pause time in milliseconds

Default :	640 ms

Examples :	[:period 250]

Description :	Specifies the length of the pause for the punctuation ".","!", and "?".


Turn on/off the Phoneme Interpretation

Command :  	[:phone arpa parameter]

Parameters :	on or off

Default :	Off

Examples :	[:phone arpa on]

Description :	When phoneme interpretation is enabled, all text (except embedded commands) within square brackets will be interpreted as phoneme text. The left and right brackets ( '[' and ']' ) are the phoneme delimiters. Text not enclosed by these brackets will be interpreted as regular text. It is important to include a close bracket after the phoneme text when this command is set.


Change the Punctuation Mode

Command :  	[:punc parameter]

Parameters :	Some or all

Default :	Some

Examples :	[:punc some]

Description :	If the punctuation mode is set to "some", only non clause-final punctuation is spoken. If it is set to "all", all punctuation is spoken. It is useful for proofreading.


Change the Speech Rate

Command :  	[:rate parameter]

Parameters :	Rate in words per minute (wpm)

Default :	180 wpm

Examples :	[:rate 350]

Description :	The range of the speaking rate is from 120 to 400 wpm. If the specified value is outside the range, the rate will be set to the nearest legal value.


Change the Speech Mode

Command :  	[:say parameter]

Parameters :	Clause or word

Default :	Say clause

Examples :	[:say word]

Description :	In "word" mode, speech is spoken a word at a time with pauses between words. The speech engine does not need to wait for clause terminators (period, comma, exclamation point, and question mark) when they are encountered in the text. In "clause" mode, speech pauses when a clause terminator is encountered. Speaking in clause mode is the default mode used by the TextAssist engine.


Change the Active Voice Name

Command :  	[:name parameter] or [:nparameter]

Parameters :	Name of the voices

Default :	Paul's voice

Examples :	[:nb] changes to Betty's voice

Description :	This command allows voices to be changed to one of the 9 default voices. The nine default voice are:

1.	Paul(P)

2.	Harry(H)

3. 	Frank(F)

4. 	Dennis(D)

5. 	Betty(B)

6. 	Ursula(U)

7. 	Rita(R)

8. 	Wendy(W)

9.  	Kit(K)


Change the Volume by Absolute Value

Command :  	[:volume set parameter]

Parameters :	Absolute value of the new volume setting

Default :	19

Examples :	[:volume set 15]

Description :	This command changes the volume of the speech to the value specified parameter. The range of the volume is 0 to 19.


Change the Volume by a Relative Value

Command :  	[:volume up parameter] and [:volume down parameter]

Parameters :	Volume to be increased or decreased

Default :	N/A

Examples :	[:volume up 5]

Description :	This command changes the volume of speech output by the amount specified in the parameter. If the specified value is outside the range, the new volume will be set to nearest legal value.


Controlling Prosody and Creating Singing Text

The TextAssist speech engine fully supports direct control of the pitch and duration of each phoneme. Pitch and duration values can be used to alter the inflection and /or prosody of the text or to create singing text. The format for phonemes with pitch and duration is as follows :

[phoneme<duration, pitch>]

As shown above, each phoneme is enclosed by "[ ]"square bracket. Duration and pitch values are enclosed by angle brackets, "<>". The duration is expressed in milliseconds (ms) and the pitch is expressed in one of two ways depending on the value of the pitch :

1-37	Corresponding to musical pitches C2 - C5

38-523 	The absolute of the pitch expressed in Hz

.

User should use values between 38 and 523 Hz for controlling inflection directly. Singing text should use pitch values ranging from 1-37 (see Musical Tones ).


Phoneme Symbols

The TextAssist engine uses 45 phonemes for its American English synthesis.

See also

Appendix A : Vowels

Appendix B : Consonants

Appendix C : Stress Symbols

Example : Singing Text


Musical Tones

The speech engine can also be used to create singing text. The following table shows how  pitch values 1-37 can be used to access pitches which correspond to musical notes C2-C5 :

Number	Note	Pitch (Hz)

1	C2	65

2	C#	69

3	D	73

4	D#	77

5	E	82

6	F	87

7	F#	92

8	G	98

9	G#	103

10	A	110

11	A#	116

12	B	123

13	C3	130

14	C#	138

15	D	146

16	D#	155

17	E	164

18	F	174

19	F#	185

20	G	196

21	G#	207

22	A	220

23	A#	233

24	B	247

25	C4	261

26	C#	277

27	D	293

28	D#	311

29	E	329

30	F	348

31	F#	370

32	G	392

33	G#	415

34	A	440

35	A#	466

36	B	494

37	C5	523

* Note : C4 is middle C


Appendix A : Vowels

Phoneme Symbol	Example

aa	Bob

ae	bat

ah	but

ao	bought

aw	bout

ax	about

ay	bite

eh	bet

ey	bake

ih	bit

ix	kisses

iy	beat

ow	boat

oy	boy

rr	bird

uh	book

uw	lute

yu	cute


Appendix B : Consonants

.

Phoneme Symbol	Example

b	bet

ch	chin

d	debt

dh	this

el	bottle

en	button

f	fin

g	guess

hx	head

jh	gin

k	Ken

l	let

m	met

n	net

nx	sing

p	pet

r	red

s	sit

sh	shin

t	test

th	thin

v	vest

w	wet

y	yet

yx	yes

z	zoo

zh	measure


Appendix C : Stress Symbols

' 	Primary stress

`	Secondary stress

"	Emphatic stress


Example : Singing Text

Title of Song : London Bridge

[:phone arpa on]

[:np][l<95,20>ah<164,20>n<83,20>

d<75,22>ix<113,22>n<113,22>

b<46,20>r<31,20>ih<135,20>

jh<88,20>ih<121,18>z<90,18>

f<108,18>ao<192,17>lx<94,19>

ix<76,18>nx<94,17>d<91,20>

aw<256,20>n<91,20>ax<69,20>_<120,0>]

[:nk][f<108,16>ao<192,15>

lx<94,18>ix<76,17>nx<94,16>

d<81,20>aw<256,18>n<81,19>

ax<69,18>_<120,0>]

[:nb][f<108,18>ao<192,17>

lx<94,19>ix<76,18>nx<94,17>

d<91,20>aw<256,20>n<91,20>

ax<69,20>_<120,0>]

[:nh][l<95,20>ah<164,20>n<83,20>

d<75,22>ix<113,22>n<113,22>

b<46,19>r<31,19>ih<135,20>

jh<88,20>ih<121,18>z<90,18>

f<108,18>ao<192,17>lx<94,19>

ix<76,18>nx<94,17>d<91,20>

aw<256,20>n<91,20>ax<69,20>_<120,0>]

[:nk][m<143,15>ay<415,15>f<202,20>

er<403,20>l<113,17>ey<255,17>

dx<42,13>iy<326,13>_<120,0>_<0,8>_<0,100>]